*Sometimes, I write long-form articles about a topic that I find interesting. I use this as a way to dive deeper into a topic, while often create an example project on the side.*

Last updated: 2024-05-13

<article class="blog">
  <time datetime="2020-06-29">2020-06-29</time>
  <div>
    <a href="/blog/2020-06-29-a-store-implementation-for-vue3-composition-api.html">A store implementation from scratch using Vue3's Composition API</a>
    <span class="reading-time">(6 to 8 minutes)</span>
  </div>
  <p>
    I've built a store implementation that allows name-spaced actions and helps with the separation of concerns. The new Composition API in Vue3 also allows completely new, convenient ways of using it.
  </p>
</article>

<article class="blog">
  <time datetime="2019-05-03">2019-05-03</time>
  <div>
    <a href="/blog/2019-05-03-freddy-vs-json.html">Freddy vs JSON: how to make a top-down shooter</a>
    <span class="reading-time">(25 to 31 minutes)</span>
  </div>
  <p>
    I will tell you how I created a simple top-down shooter in JavaScript without using any additional libraries. But this article is not replicating the full game but instead tries to show which steps to take to start writing a game from scratch.
  </p>
</article>

<article class="blog">
  <time datetime="2019-01-10">2019-01-10</time>
  <div>
    <a href="/blog/2019-01-10-use-openbsds-spleen-bitmap-font-in-linux.html">Use OpenBSDs Spleen bitmap font in Linux</a>
    <span class="reading-time">(2 to 2 minutes)</span>
  </div>
  <p>
    <span title="2019-01-09">Yesterday</span> Frederic Cambus changed the default console font in OpenBSD to his self made font [Spleen](https://github.com/fcambus/spleen) as written in this [BSD Journal article](https://undeadly.org/cgi?action=article;sid=20190110064857).
  </p>
</article>

<article class="blog">
  <time datetime="2019-01-10">2019-01-10</time>
  <div>
    <a href="/blog/2019-01-10-running-write-freely-on-arm.html">Running writefreely 0.7 on Arm</a>
    <span class="reading-time">(4 to 5 minutes)</span>
  </div>
  <p>
    This is a follow-up on
[The expected tutorial: How to install WriteFreely on a Raspberry pi 3 in 10 steps](https://write.as/buttpicker/the-expected-tutorial-how-to-install-writefreely-on-a-raspberry-pi-3-in-10). I will explain what was necessary to make cross-compiling work for newer WriteFreely versions with SQLite support.
  </p>
</article>

<article class="blog">
  <time datetime="2017-08-17">2017-08-17</time>
  <div>
    <a href="/blog/2017-08-17-vuejs-reactivity-from-scratch.html">Vuejs Reactivity From Scratch</a>
    <span class="reading-time">(8 to 9 minutes)</span>
  </div>
  <p>
    Vuejs is the star newcomer in the Javascript Framework world. People love how it makes complicated things very simple yet performant. One of the more exciting features is its seemingly magic reactivity. Plain data objects in components magically invoke a rerender when a property changes.
  </p>
</article>

<article class="blog">
  <time datetime="2017-04-09">2017-04-09</time>
  <div>
    <a href="/blog/2017-04-09-the-magic-0xc2.html">The Magic 0xC2</a>
    <span class="reading-time">(3 to 4 minutes)</span>
  </div>
  <p>
    I built a web application with file upload functionality. Some Vue.js in the front and a CouchDB in the back. Everything should be pretty simple and straigt forward.

But…
  </p>
</article>

<article class="blog">
  <time datetime="2016-12-04">2016-12-04</time>
  <div>
    <a href="/blog/2016-12-04-the-price-to-crack-your-password.html">The price to crack your password</a>
    <span class="reading-time">(6 to 7 minutes)</span>
  </div>
  <p>
    Nearly six years ago, I wrote about password complexity and showed how long it takes to crack passwords per length. You can find that [article on github](https://github.com/nkoehring/hexo-blog/blob/master/source/_posts/spas-mit-passwortern.md) (in German).
  </p>
</article>
