# There is a file system for EFI vars now

[source](https://www.kernel.org/doc/html/latest/filesystems/efivarfs.html)

On kernel updates I saw a recurring "EFI variables are not supported on this system", so I investigated and learned that the new EFI variables are provided via a file system that needs to be mounted first:

```sh
mount -t efivarfs efivarfs /sys/firmware/efi/efivars
```
